﻿/* DARK catalog theme.
   All presentation attributes (colours, borders, images, fonts, etc) defined here. 
   Base catalog.css files dictate layout and should not be changed.
   Can override/adjust margins and padding here to if needed.
 */

/* -------------------------------------------------------------------------------------------------------------- */
/* The entire page */ 
body 
{
	background-color: #555555;
	/*background-image: url('1872501.png');
	background-repeat: repeat;*/
	color: White;
}

.artistInfo a:link, .albumInfo a:link
{
	color:gold;
}
.artistInfo a:visited, .albumInfo a:visited
{
	color:orange;
}

/* -------------------------------------------------------------------------------------------------------------- */
/* Title banner at top */
#title
{
	background-color: #222222;
	text-align: center;
	font-size: 20px;
	color: #CFB35B;
	letter-spacing: 3px;
	border-bottom: solid 1px #CFB35B;
	border-top: solid 5px #CFB35B;
}

/* -------------------------------------------------------------------------------------------------------------- */
/* Entire page content below title banner (restricted width) */
#page
{
	background-color: #222222;
	border-left: solid 1px #CFB35B;
	border-right: solid 1px #CFB35B;
	border-bottom: solid 1px #CFB35B;
}

/* Introduction section */ 
#indexIntro
{
	color: #CFB35B;
	padding-left: 10px;
	padding-right: 10px;
}

/* -------------------------------------------------------------------------------------------------------------- */
/* Menu below title */  
#index
{
	padding-top: 0px;
}

/* Menu inner div */
#links
{
	border-bottom: 1px dashed #CFB35B; 
	color: #CFB35B;
}

/* An individual letter link */
.groupLink
{
}

/* The sub-menu box that drops down when clicking on a letter link */
.group
{
	background-color: #222222; 
	border: 1px dotted #CFB35B; 
}

/* The individual artist links on the drop-down menu */
.artistLink
{
	font-style: italic;
	color: #CFB35B;
}

/* The count of the number of albums for an artist in the drop-down menu */
.artistCount
{
	color: whitesmoke;
	font-style: normal;
}

/* How an artist with 5 or more albums is displayed differently on the menu */
.five
{
	color: Orange;
}

/* How an artist with 10 or more albums is displayed differently on the menu */
.ten
{
	color: Gold;
}

/* -------------------------------------------------------------------------------------------------------------- */
/* Entire content below the menu */
#scroll_area
{
}

/* -------------------------------------------------------------------------------------------------------------- */
/* Navigation area */
#navigation
{
	padding-left: 10px;
	padding-right: 10px;
}

/* Navigation button (Left) */
.navButtonLeft
{
	color: lightsteelblue; 
	font-style: italic;
	background-image: url('prev.png');
	background-repeat: no-repeat;
	background-position: left;
}

/* Navigation button (Right) */
.navButtonRight
{
	color: lightsteelblue; 
	font-style: italic;
	background-image: url('next.png');
	background-repeat: no-repeat;
	background-position: right;
}

/* Navigation title (only used when navigating by letter) */
#nav_title
{
	color: Whitesmoke;
	font-style: italic;
}

/* -------------------------------------------------------------------------------------------------------------- */
/* Entire artist section */
.artist
{
}

/* -------------------------------------------------------------------------------------------------------------- */
/* Artist header section */
.artistHeader  
{
	background-color: #CFB35B;
	color: Black; 
    letter-spacing: 1px;
	font-style: italic;
	background-image: url('hl2.png');
	background-position: top left;
	background-repeat:no-repeat;
	text-shadow: 4px 4px 4px #aaa;
}

/* Composer lifespan (only used when specialised classical behaviour turned on) */
.lifespan
{
	color: white;
	letter-spacing: 1px;
}

/* Subheader, includes image and bio */
.artistSubheader
{
	padding-left: 10px;
	padding-right: 10px;
}

/* Artist biography information */
.artistInfo  
{
}

/* -------------------------------------------------------------------------------------------------------------- */
/* Entire Album section */
.album
{
	padding-left: 10px;
	padding-right: 10px;
}

/* -------------------------------------------------------------------------------------------------------------- */
/* Album title section */
.albumHeader  
{
	color: #CFB35B;
	border-bottom: 1px dotted #CFB35B;
}

/* Album Name */
.albumName 
{
	font-style: italic;
}

/* Album Contributor */
.albumContributors  
{
	color: LightSteelBlue;
	font-style: italic;
}

/* Album Year */
.albumYear 
{
	color:whitesmoke;
	font-style: italic;
}

/* Album Information (descriptive) */
.albumInfo
{
}

/* -------------------------------------------------------------------------------------------------------------- */
/* Track Group header */
.groupHeader
{
	color: #CFB35B;
}

/* Track group */
.tracks ul
{
	list-style: none inside none;
}

/* Individual Track (list-item and inner span) */
.tracks li
{
	background-image: url('track_bullet.png');
	background-repeat: no-repeat;
	background-position: left top;
}
.track
{
}

/* Track Number prefix */
.trackNumber 
{
	color: #CFB35B;
}

/* Track Name */
.trackName
{
	color: whitesmoke;
}

/* Track Rating suffix */
.trackRating 
{
	color:gold;
}

/* -------------------------------------------------------------------------------------------------------------- */
/* Album Footer */
.albumFooter
{
}

/* Artist Footer */
.artistFooter
{
}

/* Page Footer */
#pageFooter
{
}

/* -------------------------------------------------------------------------------------------------------------- */
/* Standard images 
   You are expected to define the following images in the theme folder:
   . home.png
   . loading.gif
   . tick.png
   . next/prev navigation icons, plus track bullet (linked to in this stylesheet)
   You can adjust the style of the "loading" text (and margins etc) below: */

.loading
{
    color: rosybrown;
    padding: 2px 2px 2px 36px;
    margin-left:6px;
}

.selected
{
	list-style-image: url('tick.png');
}

